View Issue Details

IDProjectCategoryView StatusLast Update
1862HdsEditGraphicsPublicJul 24th 2024 5:41 AM
ReporterNBug Reporter Assigned ToTravis Herzog  
Priority UrgentSeverityCrashReproducibilityHave Not Tried
Status ReleasedResolutionFixed 
ProjectionMinor FixETAAround 1 Day 
PlatformWin32NTOSMicrosoft Windows NT 6.2.9200.0OS Version6.2.9200.0
Product Version1.23.0.6 
Target Version1.23.1.0Fixed in Version1.23.1.0 
Summary1862: Attempting to clear a log plot area can cause IndexOutOfRangeException
DescriptionAttempting to clear a log plot area can cause IndexOutOfRangeException.

Index was outside the bounds of the array. @ Void CleanArea(LogPlotAreasEnum, LogPlotLogOrHeaderEnum, System.Drawing.Color, System.Drawing.Color) @ HdsEdit.EditLogPlotArea

<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <HResult>-2146233080</HResult>
  </ExtendedInformation>
  <InnerExceptions />
  <Message>Index was outside the bounds of the array.</Message>
  <Source>HDSEdit-2-32</Source>
  <StackTrace>   at HdsEdit.EditLogPlotArea.CleanArea(LogPlotAreasEnum avWhichTrack, LogPlotLogOrHeaderEnum avLogOrHeader, Color avPenColor, Color avBrushColor)</StackTrace>
  <TargetSite>Void CleanArea(LogPlotAreasEnum, LogPlotLogOrHeaderEnum, System.Drawing.Color, System.Drawing.Color) @ HdsEdit.EditLogPlotArea</TargetSite>
  <Type>System.IndexOutOfRangeException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>6/12/2024 5:15:28 PM</DateTime>
    <ExceptionMessage>Index was outside the bounds of the array.</ExceptionMessage>
    <ExceptionType>System.IndexOutOfRangeException</ExceptionType>
    <HostApplication>HN32-47.exe</HostApplication>
    <HostApplicationVersion>1.23.0.6</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>Void CleanArea(LogPlotAreasEnum, LogPlotLogOrHeaderEnum, System.Drawing.Color, System.Drawing.Color) @ HdsEdit.EditLogPlotArea</TargetSite>
  </GeneralInfo>
</Report>
TagsBug, Crash, NBug
Attached Files
Exception_133626861284064074.zip (1,005,782 bytes)

Zip Contents

  • Exception.xml (734 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <HResult>-2146233080</HResult>
      </ExtendedInformation>
      <Message>Index was outside the bounds of the array.</Message>
      <Source>HDSEdit-2-32</Source>
      <StackTrace>   at HdsEdit.EditLogPlotArea.CleanArea(LogPlotAreasEnum avWhichTrack, LogPlotLogOrHeaderEnum avLogOrHeader, Color avPenColor, Color avBrushColor)</StackTrace>
      <TargetSite>Void CleanArea(LogPlotAreasEnum, LogPlotLogOrHeaderEnum, System.Drawing.Color, System.Drawing.Color) @ HdsEdit.EditLogPlotArea</TargetSite>
      <Type>System.IndexOutOfRangeException</Type>
    </SerializableException>
      
  • Report.xml (734 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>6/12/2024 5:15:28 PM</DateTime>
        <ExceptionMessage>Index was outside the bounds of the array.</ExceptionMessage>
        <ExceptionType>System.IndexOutOfRangeException</ExceptionType>
        <HostApplication>HN32-47.exe</HostApplication>
        <HostApplicationVersion>1.23.0.6</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>Void CleanArea(LogPlotAreasEnum, LogPlotLogOrHeaderEnum, System.Drawing.Color, System.Drawing.Color) @ HdsEdit.EditLogPlotArea</TargetSite>
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (855,065 bytes)
  • files/HDS.Net.Info.lic (616 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>e3c64120-6067-4a5f-b5cc-13e9770a8094</Key>
      <IssueDate>2022-08-29T00:00:00</IssueDate>
      <ExpireDate>2026-05-25T00:00:00</ExpireDate>
      <IssuedTo>HDS Demo</IssuedTo>
      <Company>Hydrocarbon Data Systems, Inc.</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - Travis</IssuedBy>
      <Copies>2</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (1,139,812 bytes)
  • files/Data/BA79 RAS Run1 Sigma EDIThalf.mdb (1,574,912 bytes)

Installation TypeWorkstation

Relationships

has duplicate 1863 Archived Index was outside the bounds of the array. @ Void CleanArea(LogPlotAreasEnum, LogPlotLogOrHeaderEnum, System.Drawing.Color, System.Drawing.Color) @ HdsEdit.EditLogPlotArea 
has duplicate 2189 Archived Index was outside the bounds of the array. @ Void CleanArea(LogPlotAreasEnum, LogPlotLogOrHeaderEnum, System.Drawing.Color, System.Drawing.Color) @ HdsEdit.EditLogPlotArea 
has duplicate 2190 Archived Index was outside the bounds of the array. @ Void CleanArea(LogPlotAreasEnum, LogPlotLogOrHeaderEnum, System.Drawing.Color, System.Drawing.Color) @ HdsEdit.EditLogPlotArea 

Activities

Travis Herzog

Travis Herzog

Jul 1st 2024 7:30 AM

Administrator   ~391

A resolution for this issue has been committed with revision '75d54adf33d801be28a80d6024a20e5cad5e259d' to branch 'master' in repository 'HdsEdit' with changeset ID '30173' at 2024-06-30T13:49:29+00:00.